Bug 457327 - NetworkManager triggers AVC denials
NetworkManager triggers AVC denials
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 18:44 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:05:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-07-30 18:44:47 EDT
Description of problem:
I'm getting the following denials when NetworkManager first starts up:

host=x300 type=AVC msg=audit(1217456966.80:15): avc: denied { read } for
pid=3116 comm="dhclient" name="nm-dhclient-wlan1.conf" dev=dm-1 ino=30983
scontext=system_u:system_r:dhcpc_t:s0
tcontext=system_u:object_r:NetworkManager_var_run_t:s0 tclass=file host=x300
type=SYSCALL msg=audit(1217456966.80:15): arch=c000003e syscall=2 success=no
exit=-13 a0=7fffa789aed7 a1=0 a2=67a4c0 a3=3d55967a70 items=0 ppid=1 pid=3116
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=4294967295 comm="dhclient" exe="/sbin/dhclient"
subj=system_u:system_r:dhcpc_t:s0 key=(null).
host=x300 type=AVC msg=audit(1217457096.914:28): avc: denied { getattr } for
pid=3464 comm="dhclient" path="/var/run/nm-dhclient-wlan1.conf" dev=dm-1
ino=30983 scontext=unconfined_u:system_r:dhcpc_t:s0
tcontext=unconfined_u:object_r:NetworkManager_var_run_t:s0 tclass=file host=x300
type=SYSCALL msg=audit(1217457096.914:28): arch=c000003e syscall=5 success=no
exit=-13 a0=4 a1=7ffff2d63630 a2=7ffff2d63630 a3=0 items=0 ppid=1 pid=3464
auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
ses=1 comm="dhclient" exe="/sbin/dhclient" subj=unconfined_u:system_r:dhcpc_t:s0
key=(null).

Which seem to be resolved with the following policy addition:

    allow dhcpc_t NetworkManager_var_run_t:file { read getattr };


Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.11.svn3846.fc9.x86_64
selinux-policy-3.3.1-79.fc9.noarch
Comment 1 Daniel Walsh 2008-07-31 07:21:01 EDT
Fixed in selinux-policy-3.3.1-80.fc9.noarch
Comment 2 Daniel Walsh 2008-11-17 17:05:25 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.